Image update
Documentation for Image update
Read time 1 minuteLast updated a year ago
Update the game image identified by with the details passed through the parameters.
<imageid>[!TIP] Check out the S3 example URL.
https://api.multiplay.co.uk/cfp/v1/image/<imageid>/update
METHOD | CONTENT TYPE |
GET | application/x-www-form-urlencoded |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
accountserviceid | The parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No |
imageid | The parameter accepts a game image ID representing the game image to update. | No |
active | The parameter accepts a boolean value that controls whether the game image associated with is active or not. If set to , the game image is activated. If set to , the game image is deactivated. | No |
Response fields
|
|
|
|
|---|---|---|---|
active | integer | Indicating the state of the image, for example: 1, 0 | No |
created_at | string | Time at which the allocation was created | No |
updated_at | string | Time at which the allocation was updated | No |
updated_by | integer | ID of the user that requested image update | No |
latestversionid | integer | ID of the latest image version | No |
imageid | integer | ID of the image | No |
path | string | Path to the game files | No |
created_by | integer | ID of the user that created the image | No |
gameversionid | integer | ID of the game version | No |
Example request
curl --location -g 'https://api.multiplay.co.uk/cfp/v1/image/<imageid>/update?accountserviceid=<accountserviceid>&active=<active>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "image": { "active": <active>, "created_at": <created_at>, "updated_at": <updated_at>, "updated_by": <updated_by>, "latestversionid": <latestversionid>, "imageid": <imageid>, "path": <path>, "created_by": <created_by>, "gameversionid": <gameversionid> }}